Bug 1312013 - rhpkg prep fails on rhel-7.3 branch
Summary: rhpkg prep fails on rhel-7.3 branch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-25 14:12 UTC by Petr Lautrbach
Modified: 2016-11-03 20:19 UTC (History)
0 users

Fixed In Version: openssh-6.6.1p1-26.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:19:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2588 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2016-11-03 12:09:45 UTC

Description Petr Lautrbach 2016-02-25 14:12:28 UTC
Description of problem:

$ rhpkg prep
error getting product information for rhel-7.3, assuming it's unreleased
warning: Macro expanded in comment on line 77: # Source0: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz

warning: Macro expanded in comment on line 79: #Source1: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz.asc

error: line 703: Trigger fired by the same package is already defined in spec file: %triggerpostun -n openssh-server-sysvinit -- openssh-server < 5.8p2-12

Could not execute prep: Command 'rpmbuild --define '_sourcedir /home/plautrba-fedora/devel/rhel/openssh/rhel-7.3' --define '_specdir /home/plautrba-fedora/devel/rhel/openssh/rhel-7.3' --define '_builddir /home/plautrba-fedora/devel/rhel/openssh/rhel-7.3' --define '_srcrpmdir /home/plautrba-fedora/devel/rhel/openssh/rhel-7.3' --define '_rpmdir /home/plautrba-fedora/devel/rhel/openssh/rhel-7.3' --define 'dist .el7' --define 'rhel 7' --define 'el7 1' --nodeps -bp /home/plautrba-fedora/devel/rhel/openssh/rhel-7.3/openssh.spec' returned non-zero exit status 1

Comment 1 Jakub Jelen 2016-02-26 17:13:39 UTC
Triggers related to openssh 5.x version are not related anymore (RHEL6 -> RHEL7 upgrade is handled by upgrade scripts). We can cleanly remove all of them.

Comment 6 errata-xmlrpc 2016-11-03 20:19:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2588.html


Note You need to log in before you can comment on or make changes to this bug.